# Access Keys Management API This API provides programmatic access to manage Access Keys for projects. Access keys can be used to generate access tokens which grant access to other resource APIs. Version: v1 License: MIT ## Servers ``` https://account.api.sinch.com ``` ## Security ### Basic For more information about basic authentication, see [Basic Authentication](/docs/accesskeys/api-reference/#basic-authentication). Type: http Scheme: basic ### OAuth2 The user name and password are your client_id and key_secret from the [Access Keys sections](https://dashboard.sinch.com/settings/access-keys) Type: oauth2 ## Download OpenAPI description [Access Keys Management API](https://developers.sinch.com/_bundle/docs/accesskeys/api-reference/accesskeys.yaml) ## Access Key Manage Access Keys ### List Keys - [GET /v1/projects/{projectId}/accessKeys](https://developers.sinch.com/docs/accesskeys/api-reference/accesskeys/access-key/accesskeyservice_listaccesskeys.md): Lists all Access Keys for project. ### Create Access Key - [POST /v1/projects/{projectId}/accessKeys](https://developers.sinch.com/docs/accesskeys/api-reference/accesskeys/access-key/accesskeyservice_createaccesskey.md): Creates an Access Key for the given project. Returns the new key and its credentials. ### Get Access Key - [GET /v1/projects/{projectId}/accessKeys/{accessKeyId}](https://developers.sinch.com/docs/accesskeys/api-reference/accesskeys/access-key/accesskeyservice_getaccesskey.md): Retrieves a single Access Key. ### Delete Access Key - [DELETE /v1/projects/{projectId}/accessKeys/{accessKeyId}](https://developers.sinch.com/docs/accesskeys/api-reference/accesskeys/access-key/accesskeyservice_deleteaccesskey.md): Deletes an Access Key. Note: It is currently possible to delete the same Access Key that is used for the delete operation. This means it is possible to delete the last Access Key. In this scenario a new access key needs to be generated in the customer dashbaord, ### Update Access Key - [PATCH /v1/projects/{projectId}/accessKeys/{accessKeyId}](https://developers.sinch.com/docs/accesskeys/api-reference/accesskeys/access-key/accesskeyservice_updateaccesskey.md): Updates an Access Key with new information.